Bug 12869 - KCC run at selftest startup can fail spuriously due to a race
KCC run at selftest startup can fail spuriously due to a race
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.6.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 21:23 UTC by Andrew Bartlett
Modified: 2017-07-20 05:18 UTC (History)
2 users (show)

See Also:


Attachments
patch for master (4.63 KB, text/plain)
2017-06-30 21:23 UTC, Andrew Bartlett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-06-30 21:23:57 UTC
Created attachment 13336 [details]
patch for master

The manual run of the KCC at startup can fail spuriously.  This can cause flapping test failures.
Comment 1 Andrew Bartlett 2017-07-17 01:08:54 UTC
Fixed in master with c0a7d2bacdacc7a43e04f3b450ea069c000b3d8d for 4.8.  A backport to 4.6 and 4.7 would be desirable to reduce selftest flapping.
Comment 2 Stefan Metzmacher 2017-07-19 06:20:19 UTC
(In reply to Andrew Bartlett from comment #1)

c0a7d2bacdacc7a43e04f3b450ea069c000b3d8d is included in samba-4.7.0rc1.

Pushed to autobuild-v4-6-test
Comment 3 Stefan Metzmacher 2017-07-20 05:18:18 UTC
Pushed to v4-6-test